Subject: [PATCH v3] ARM: dts: imx6: add ZII RDU2 boards

From: [email-masked] (Shawn Guo)
Date: Fri, 24 Mar 2017 14:12:50 +0800

On Thu, Mar 23, 2017 at 03:24:29PM +0100, Lucas Stach wrote:
> This adds support for the Zodiac Inflight Innovations RDU2 board,
> which has both a Quad and a QuadPlus variant.
> 
> The board supports different panels, with the bootloader patching
> in the correct compatible, depending on the hardware configuration.
> 
> Signed-off-by: Philipp Zabel <[email-masked]>
> Signed-off-by: Lucas Stach <[email-masked]>
> Tested-by: Nikita Yushchenko <[email-masked]>
> Tested-by: Chris Healy <[email-masked]>

I applied it with a couple of small fix-up below.

<snip>

> +&sata {
> +	status = "okay";
> +	target-supply = <&reg_3p3v_ssd>;

To keep it consistency with other nodes, I switched these two lines.

> +};

<snip>

> +&iomuxc {
> +	pinctrl-names = "default";

There is no point to have this when we do not have pinctrl-0 thing, so I
dropped it.

Shawn

> +
> +	pinctrl_accel: accelgrp {
> +		fsl,pins = <
> +			MX6QDL_PAD_SD1_CMD__GPIO1_IO18		0x4001b000
> +			MX6QDL_PAD_SD1_CLK__GPIO1_IO20		0x4001b000
> +		>;
> +	};